## kdepim-runtime 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(kdepim-runtime)

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_RUNTIME_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 alpha1
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 alpha1

if(NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
    set(KDEPIM_RUNTIME_DEV_VERSION "")
endif()

set(KDEPIM_RUNTIME_VERSION_NUMBER "5.1.3")
set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_RUNTIME_DEV_VERSION}")

configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

find_package(ECM 5.16.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.16.0")
set(QT_REQUIRED_VERSION "5.4.0")

set(KDEPIMLIBS_LIB_VERSION "5.1")

set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "5")


set(KCONTACTS_LIB_VERSION "4.91.0")
set(KCALENDARCORE_LIB_VERSION "4.79.0")
set(IDENTITYMANAGEMENT_LIB_VERSION "4.78.0")
set(KMAILTRANSPORT_LIB_VERSION "4.78.0")
set(CALENDARUTILS_LIB_VERSION "4.78.0")
set(KIMAP_LIB_VERSION "4.81.0")
set(KMBOX_LIB_VERSION "4.79.0")
set(AKONADICALENDAR_LIB_VERSION "4.78.0")
set(SYNDICATION_LIB_VERSION "4.78.0")
set(KONTACTINTERFACE_LIB_VERSION "4.78.0")
set(AKONADIKALARM_LIB_VERSION "4.78.0")
set(KMIME_LIB_VERSION "4.85.0")
set(XMLRPCCLIENT_LIB_VERSION "4.78.0")
set(KCONTACTS_LIB_VERSION "4.78.0")
set(AKONADIMIME_LIB_VERSION "4.78.0")
set(AKONADICONTACT_LIB_VERSION "4.78.0")
set(AKONADINOTE_LIB_VERSION "4.78.0")
set(AKONADISOCIALUTIL_LIB_VERSION "4.78.0")
set(KPIMTEXTEDIT_LIB_VERSION "4.78.0")

set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
find_package( SharedMimeInfo REQUIRED )


find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test XmlPatterns)

# QT5 package
find_package(Qt5WebKitWidgets ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)

find_package(Qt5 OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech feature will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

set(KF5AkonadiServer_MIN_VERSION "5.0.50")
find_package(KF5AkonadiServer ${KF5AkonadiServer_MIN_VERSION} CONFIG REQUIRED)

# KF5 package
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NotifyConfig ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Kross ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_packagE(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED) # for KPluralHandlingSpinBox

# KdepimLibs package
find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Syndication ${SYNDICATION_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiSocialUtils ${AKONADISOCIALUTIL_LIB_VERSION} CONFIG REQUIRED)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(plugins)
add_subdirectory(defaultsetup)
add_subdirectory(kioslave)
add_subdirectory(migration)


## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})


install( FILES kdepim-runtime.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== kioslave/CMakeLists.txt ===
project(kioslave)

set(kio_akonadi_SRCS akonadislave.cpp)
ecm_qt_declare_logging_category(kio_akonadi_SRCS HEADER akonadislave_debug.h IDENTIFIER AKONADISLAVE_LOG CATEGORY_NAME log_akonadislave)

add_library(kio_akonadi MODULE ${kio_akonadi_SRCS})



target_link_libraries(kio_akonadi  
                      KF5::KIOCore 
                      KF5::AkonadiCore 
                      KF5::I18n
                      Qt5::DBus
                      Qt5::Widgets
                      )
set_target_properties(kio_akonadi PROPERTIES OUTPUT_NAME "akonadi")

install(TARGETS kio_akonadi DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio )


########### install files ###############

install( FILES akonadi.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== migration/CMakeLists.txt ===
project(migration)


add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
#REMOVE IT
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/
)



# Xsltproc
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")


set( MIGRATION_AKONADI_SHARED_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/kmigratorbase.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/infodialog.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/entitytreecreatejob.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/migratorbase.cpp
)


add_subdirectory( gid )

=== agents/maildispatcher/CMakeLists.txt ===

if (BUILD_TESTING)
   add_subdirectory( autotests )
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_maildispatcher_agent\")

set( maildispatcheragent_SRCS
  maildispatcheragent.cpp
  outboxqueue.cpp
  sendjob.cpp
  sentactionhandler.cpp
  storeresultjob.cpp
)

ecm_qt_declare_logging_category(maildispatcheragent_SRCS HEADER maildispatcher_debug.h IDENTIFIER MAILDISPATCHER_LOG CATEGORY_NAME log_maildispatcher)

ki18n_wrap_ui(maildispatcheragent_SRCS settings.ui)
kconfig_add_kcfg_files(maildispatcheragent_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/maildispatcheragent.kcfg org.kde.Akonadi.MailDispatcher.Settings)
qt5_add_dbus_adaptor(maildispatcheragent_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MailDispatcher.Settings.xml settings.h Settings
)
qt5_add_dbus_adaptor( maildispatcheragent_SRCS
  org.freedesktop.Akonadi.MailDispatcherAgent.xml maildispatcheragent.h MailDispatcherAgent
)

if (RUNTIME_PLUGINS_STATIC)
  add_definitions(-DMAIL_SERIALIZER_PLUGIN_STATIC)
endif ()

add_executable(akonadi_maildispatcher_agent ${maildispatcheragent_SRCS})

if (RUNTIME_PLUGINS_STATIC)
  target_link_libraries(akonadi_maildispatcher_agent akonadi_serializer_mail)
endif ()

if( APPLE )
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.maildispatcher")
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Maildispatcher")
endif ()

target_link_libraries(akonadi_maildispatcher_agent 
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::MailTransport
    KF5::AkonadiAgentBase
    KF5::NotifyConfig
    KF5::DBusAddons
    KF5::I18n
    KF5::Notifications
)

install( TARGETS akonadi_maildispatcher_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES maildispatcheragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )
install( FILES akonadi_maildispatcher_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

=== agents/migration/CMakeLists.txt ===

include_directories(
    ${kdepim-runtime_SOURCE_DIR}/migration
    ${kdepim-runtime_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_migration_agent\")

kde_enable_exceptions()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

set(migrationagent_SRCS
    migrationagent.cpp
    migrationstatuswidget.cpp
    migrationexecutor.cpp
    migrationscheduler.cpp
    autotests/dummymigrator.cpp
)

add_executable(akonadi_migration_agent ${migrationagent_SRCS})

if( APPLE )
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.migrationagent")
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Migrationagent")
endif ()

target_link_libraries(akonadi_migration_agent
    gidmigration
    KF5::AkonadiCore
    KF5::AkonadiAgentBase
    KF5::Contacts
    KF5::WindowSystem
    KF5::JobWidgets
)

install(TARGETS akonadi_migration_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES migrationagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}//akonadi/agents")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== agents/newmailnotifier/CMakeLists.txt ===

include_directories(${kdepim-runtime_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_newmailnotifier_agent\")

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

set(newmailnotifieragent_SRCS
  newmailnotifiersettingsdialog.cpp
  newmailnotifieragent.cpp
  specialnotifierjob.cpp
  newmailnotifierselectcollectionwidget.cpp
  newmailnotifiershowmessagejob.cpp
)

ecm_qt_declare_logging_category(newmailnotifieragent_SRCS HEADER newmailnotifier_debug.h IDENTIFIER NEWMAILNOTIFIER_LOG CATEGORY_NAME log_newmailnotifier)

kconfig_add_kcfg_files(newmailnotifieragent_SRCS
    newmailnotifieragentsettings.kcfgc
  )


qt5_add_dbus_adaptor(newmailnotifieragent_SRCS org.freedesktop.Akonadi.NewMailNotifier.xml newmailnotifieragent.h NewMailNotifierAgent)


add_executable( akonadi_newmailnotifier_agent ${newmailnotifieragent_SRCS})


target_link_libraries( akonadi_newmailnotifier_agent
  KF5::AkonadiCore
  KF5::Mime
  KF5::AkonadiMime
  KF5::AkonadiContact
  KF5::Codecs
  KF5::IdentityManagement
  KF5::NotifyConfig
  KF5::AkonadiAgentBase
  KF5::DBusAddons
  KF5::XmlGui
  KF5::Notifications
  KF5::WindowSystem
  KF5::Completion
  KF5::Service
  KF5::IconThemes
)

if (Qt5TextToSpeech_FOUND)
    target_link_libraries(akonadi_newmailnotifier_agent
        Qt5::TextToSpeech)
endif()

if( APPLE )
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.newmailnotifier")
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE New Mail Notifier")
endif ()

install(TARGETS akonadi_newmailnotifier_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


install(FILES newmailnotifieragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_newmailnotifier_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

=== resources/birthdays/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_birthdays_resource\")

set( birthdayresource_srcs
  birthdaysresource.cpp
  configdialog.cpp
)

kconfig_add_kcfg_files( birthdayresource_srcs settings.kcfgc )
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/birthdaysresource.kcfg org.kde.Akonadi.Birthdays.Settings)

ki18n_wrap_ui(birthdayresource_srcs configdialog.ui)

qt5_add_dbus_adaptor(birthdayresource_srcs
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Birthdays.Settings.xml settings.h Settings
)

ecm_qt_declare_logging_category(birthdayresource_srcs HEADER birthdays_debug.h IDENTIFIER BIRTHDAYS_LOG CATEGORY_NAME log_birthdays)

add_executable(akonadi_birthdays_resource ${birthdayresource_srcs})

if( APPLE )
  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Birthdays")
  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Birthdays Resource")
endif ()

target_link_libraries(akonadi_birthdays_resource
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::Codecs
  KF5::AkonadiAgentBase
  KF5::Contacts
  KF5::AkonadiWidgets
)

install( TARGETS akonadi_birthdays_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES birthdaysresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

=== resources/contacts/CMakeLists.txt ===


add_subdirectory( wizard )

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_contacts_resource\")

########### next target ###############

set( contactsresource_SRCS
  contactsresource.cpp
  settingsdialog.cpp
)

ki18n_wrap_ui(contactsresource_SRCS settingsdialog.ui)
kconfig_add_kcfg_files(contactsresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/contactsresource.kcfg org.kde.Akonadi.Contacts.Settings)
qt5_add_dbus_adaptor(contactsresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Contacts.Settings.xml settings.h Akonadi_Contacts_Resource::ContactsResourceSettings contactsresourcesettingsadaptor ContactsResourceSettingsAdaptor
)

ecm_qt_declare_logging_category(contactsresource_SRCS HEADER contacts_resources_debug.h IDENTIFIER CONTACTSRESOURCES_LOG CATEGORY_NAME log_resources_contacts)

install( FILES contactsresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

add_executable(akonadi_contacts_resource ${contactsresource_SRCS})

target_link_libraries(akonadi_contacts_resource
  KF5::AkonadiCore
  KF5::AkonadiAgentBase
  KF5::Contacts
  KF5::DBusAddons
  KF5::I18n
  KF5::KIOWidgets
  KF5::ConfigWidgets
  KF5::WindowSystem
)

install(TARGETS akonadi_contacts_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/folderarchivesettings/CMakeLists.txt ===
project(folderarchivesettings)


add_definitions(-DTRANSLATION_DOMAIN=\"libfolderarchivesettings\")


set(folderarchivesettings_SRCS
   folderarchivesettingpage.cpp
   folderarchiveutil.cpp
   folderarchiveaccountinfo.cpp 
)

add_library(folderarchivesettings  ${folderarchivesettings_SRCS} )
generate_export_header(folderarchivesettings BASE_NAME folderarchivesettings)

target_link_libraries(folderarchivesettings
PRIVATE
                      KF5::Mime
                      KF5::AkonadiCore
                      KF5::AkonadiWidgets
                      KF5::ConfigCore
                      KF5::I18n
                      Qt5::DBus
)

set_target_properties(folderarchivesettings PROPERTIES VERSION ${KDEPIMRUNTIME_LIB_VERSION} SOVERSION ${KDEPIMRUNTIME_LIB_SOVERSION} )

install(TARGETS folderarchivesettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== resources/gmail/CMakeLists.txt ===
# REACTIVATE IT
#add_subdirectory(saslplugin)
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_gmail_resource\")


include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_SOURCE_DIR}/../imap
    ${CMAKE_CURRENT_BINARY_DIR}/../imap
    ${CMAKE_CURRENT_SOURCE_DIR}/../folderarchivesettings/
)



########### next target ###############

set(gmailresource_SRCS
    gmailresource.cpp
    gmailretrievecollectionstask.cpp
    gmailretrieveitemstask.cpp
    gmailmessagehelper.cpp
    gmailpasswordrequester.cpp
    gmailresourcestate.cpp
    gmailconfigdialog.cpp
    gmailsettings.cpp
    gmaillinkitemstask.cpp
    gmaillabelattribute.cpp
    gmailchangeitemslabelstask.cpp
)

ki18n_wrap_ui(gmailresource_SRCS gmailconfigdialog.ui)
#kconfig_add_kcfg_files(gmailresource_SRCS settingsbase.kcfgc)

add_executable(akonadi_gmail_resource ${gmailresource_SRCS})
target_link_libraries(akonadi_gmail_resource
    KF5::AkonadiCore
    KF5::IMAP
    KF5::MailTransport
    KF5::KIOCore
    KF5::Mime
    KF5::AkonadiMime
    KF5::IdentityManagement
    KF5::GAPICore
    imapresource
    folderarchivesettings
)

install(FILES gmailresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(TARGETS akonadi_gmail_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/google/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


if(${AccountsQt_FOUND} AND ${SignOnQt_FOUND})
  include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS} ../)
  add_definitions(-DHAVE_ACCOUNTS)
  set(accounts_SRCS ../../shared/singlefileresource/getcredentialsjob.cpp)
endif()

add_subdirectory(calendar)
add_subdirectory(contacts)

=== resources/ical/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/shared
)


add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_ical_resource\")


add_subdirectory( wizard )
add_subdirectory( notes )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

########### next target ###############
add_definitions( -DSETTINGS_NAMESPACE=Akonadi_ICal_Resource )

set( icalresource_SRCS
  icalresource.cpp
  shared/icalresourcebase.cpp
  shared/icalresource.cpp
)

install( FILES icalresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents" )

kconfig_add_kcfg_files(icalresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/icalresource.kcfg org.kde.Akonadi.ICal.Settings)
qt5_add_dbus_adaptor(icalresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.ICal.Settings.xml settings.h Akonadi_ICal_Resource::Settings icalsettingsadaptor ICalSettingsAdaptor
)

add_executable(akonadi_ical_resource ${icalresource_SRCS})

if( APPLE )
  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.ICal")
  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi ICal Resource")
endif ()

target_link_libraries(akonadi_ical_resource KF5::AkonadiCore   KF5::KIOCore KF5::CalendarCore KF5::AkonadiAgentBase akonadi-singlefileresource KF5::DBusAddons)

install(TARGETS akonadi_ical_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdepim-runtime (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:51 -0700

kdepim-runtime (4:15.12.1-3~ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:52:07 -0800

kdepim-runtime (4:15.12.1-3~ubuntu2) xenial; urgency=medium

  * Add missing epochs to build dependencies.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:36:47 -0800

kdepim-runtime (4:15.12.1-3~ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release

  [ Scarlett Clark ]
  * Add missing files to install.
  * Remove libkolab2. 
  * Bump ibuild depend versions for pim*. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:39:48 +0100

kdepim-runtime (4:15.12.1-3~) UNRELEASED; urgency=medium

  * Add libkolab-dev to reenable kolab integration.

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 19 Feb 2016 13:14:09 +0100

kdepim-runtime (4:15.12.1-2) experimental; urgency=medium

  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 19:01:58 +0100

kdepim-runtime (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:16 +0100

kdepim-runtime (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:36 +0100

kdepim-runtime (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:49 +0200

kdepim-runtime (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:18 +0200

kdepim-runtime (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 13:19:24 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               kross-dev (>= 5.16.0~),
               libboost-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:15.12.1~),
               libkf5akonadicalendar-dev (>= 4:15.12.1~),
               libkf5akonadicontact-dev (>= 4:15.12.1~),
               libkf5akonadimime-dev (>= 4:15.12.1~),
               libkf5akonadinotes-dev (>= 4:15.12.1~),
               libkf5akonadiserver-dev (>= 4:15.12.1~),
               libkf5akonadisocialutils-dev (>= 4:15.12.1~),
               libkf5alarmcalendar-dev (>= 4:15.12.1~),
               libkf5calendarcore-dev (>= 4:15.12.1~),
               libkf5calendarutils-dev (>= 4:15.12.1~),
               libkf5codecs-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5contacts-dev (>= 4:15.12.1~),
               libkf5gapi-dev (>= 5.1.0~),
               libkf5identitymanagement-dev (>= 15.12.1~),
               libkf5imap-dev (>= 15.12.1~),
               libkf5itemmodels-dev (>= 5.16.0~),
               libkf5kcmutils-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5mailtransport-dev (>= 15.12.1~),
               libkf5mbox-dev (>= 15.12.1~),
               libkf5mime-dev (>= 15.12.1~),
               libkf5notifyconfig-dev (>= 5.16.0~),
               libkf5pimtextedit-dev (>= 15.12.1~),
               libkf5syndication-dev (>= 15.12.1~),
               libkf5textwidgets-dev (>= 5.16.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libkolab-dev (>= 1.0.2),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.4.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qtquick1-5-dev (>= 5.4.0~),
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdepim-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kdepimlibs-kio-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='kdepim-runtime-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit,
         akonadi-backend-sqlite
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdepim-runtime-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdepim-runtime-([\d.]+).tar.xz

## kdepim-runtime 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,12 +35,12 @@
     set(KDEPIM_RUNTIME_DEV_VERSION "")
 endif()
 
-set(KDEPIM_RUNTIME_VERSION_NUMBER "5.1.3")
+set(KDEPIM_RUNTIME_VERSION_NUMBER "5.2.2")
 set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_RUNTIME_DEV_VERSION}")
 
 configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-find_package(ECM 5.16.0 REQUIRED NO_MODULE)
+find_package(ECM 5.19 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 include(ECMPackageConfigHelpers)
@@ -48,44 +48,44 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.16.0")
-set(QT_REQUIRED_VERSION "5.4.0")
+set(KF5_VERSION "5.19")
+set(QT_REQUIRED_VERSION "5.5.0")
 
-set(KDEPIMLIBS_LIB_VERSION "5.1")
+set(KDEPIMLIBS_LIB_VERSION "5.2.0")
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "5")
+set(AKONADI_VERSION "5.2.0")
 
-
-set(KCONTACTS_LIB_VERSION "4.91.0")
-set(KCALENDARCORE_LIB_VERSION "4.79.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "4.78.0")
-set(KMAILTRANSPORT_LIB_VERSION "4.78.0")
-set(CALENDARUTILS_LIB_VERSION "4.78.0")
-set(KIMAP_LIB_VERSION "4.81.0")
-set(KMBOX_LIB_VERSION "4.79.0")
-set(AKONADICALENDAR_LIB_VERSION "4.78.0")
-set(SYNDICATION_LIB_VERSION "4.78.0")
-set(KONTACTINTERFACE_LIB_VERSION "4.78.0")
-set(AKONADIKALARM_LIB_VERSION "4.78.0")
-set(KMIME_LIB_VERSION "4.85.0")
-set(XMLRPCCLIENT_LIB_VERSION "4.78.0")
-set(KCONTACTS_LIB_VERSION "4.78.0")
-set(AKONADIMIME_LIB_VERSION "4.78.0")
-set(AKONADICONTACT_LIB_VERSION "4.78.0")
-set(AKONADINOTE_LIB_VERSION "4.78.0")
-set(AKONADISOCIALUTIL_LIB_VERSION "4.78.0")
-set(KPIMTEXTEDIT_LIB_VERSION "4.78.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
+set(KCALENDARCORE_LIB_VERSION "5.2.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.2.0")
+set(KMAILTRANSPORT_LIB_VERSION "5.2.0")
+set(CALENDARUTILS_LIB_VERSION "5.2.0")
+set(KIMAP_LIB_VERSION "5.2.0")
+set(KMBOX_LIB_VERSION "5.2.0")
+set(AKONADICALENDAR_LIB_VERSION "5.2.0")
+set(SYNDICATION_LIB_VERSION "5.2.0")
+set(KONTACTINTERFACE_LIB_VERSION "5.2.0")
+set(AKONADIKALARM_LIB_VERSION "5.2.0")
+set(KMIME_LIB_VERSION "5.2.0")
+set(XMLRPCCLIENT_LIB_VERSION "5.2.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
+set(AKONADIMIME_LIB_VERSION "5.2.0")
+set(AKONADICONTACT_LIB_VERSION "5.2.0")
+set(AKONADINOTE_LIB_VERSION "5.2.0")
+set(AKONADISOCIALUTIL_LIB_VERSION "5.2.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.2.0")
 
 set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
 find_package( SharedMimeInfo REQUIRED )
 
 
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test XmlPatterns)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test XmlPatterns DBus)
 
 # QT5 package
 find_package(Qt5WebKitWidgets ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
@@ -97,8 +97,6 @@
     add_definitions(-DHAVE_SPEECH)
 endif()
 
-set(KF5AkonadiServer_MIN_VERSION "5.0.50")
-find_package(KF5AkonadiServer ${KF5AkonadiServer_MIN_VERSION} CONFIG REQUIRED)
 
 # KF5 package
 find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
@@ -113,7 +111,7 @@
 find_packagE(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED) # for KPluralHandlingSpinBox
 
 # KdepimLibs package
-find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

=== resources/CMakeLists.txt ===
project(resources)

set(AKONADICALENDAR_LIB_VERSION "4.78.0")
set(KMBOX_LIB_VERSION "4.78.0")


find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)

# Extra package
find_package(KF5GAPI "5.1.0" CONFIG)



# Xsltproc
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

# Libkolab
find_package(Libkolab 1.0 QUIET CONFIG)
set_package_properties(Libkolab PROPERTIES DESCRIPTION "libkolab" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab Format libraries are required to build the Kolab Groupware Resource")

# Libkolabxml
find_package(Libkolabxml 1.1 QUIET CONFIG)
set_package_properties(Libkolabxml PROPERTIES DESCRIPTION "Kolabxml" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_BINARY_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_SOURCE_DIR}/folderarchivesettings/
)


# resource tests
macro( akonadi_add_resourcetest _testname _script )
  if ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${EXECUTABLE_OUTPUT_PATH} )
  else ()
    set( _exepath ${kdepim-runtime_BINARY_DIR}/resourcetester )
  endif ()
  if (WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else ()
    set(_resourcetester ${_exepath}/resourcetester)
  endif ()
  if (UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif ()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  if (KDEPIM_RUN_ISOLATED_TESTS)
    add_test( akonadi-mysql-db-${_testname} akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script} )
  endif ()
endmacro( akonadi_add_resourcetest )



add_subdirectory( akonotes )
add_subdirectory( kalarm )
add_subdirectory( contacts )
add_subdirectory( dav )
add_subdirectory( ical )
add_subdirectory( imap )
if (Libkolab_FOUND AND Libkolabxml_FOUND)
    add_subdirectory( kolab )
endif()

add_subdirectory( maildir )

add_subdirectory( openxchange )
add_subdirectory( pop3 )

if( KF5GAPI_FOUND )
  add_subdirectory( google )
  # Disabled in KDE 4.14 - too many issues for stable release
  #add_subdirectory( gmail )
endif()

add_subdirectory( shared )
add_subdirectory( birthdays )
add_subdirectory( mixedmaildir )
add_subdirectory( mbox )
add_subdirectory( vcarddir )
add_subdirectory( icaldir )
add_subdirectory( vcard )
add_subdirectory( folderarchivesettings )

=== resources/kalarm/kalarm/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../shared
    ${CMAKE_CURRENT_SOURCE_DIR}/../../ical/shared
)



########### next target ###############
add_definitions(-DSETTINGS_NAMESPACE=Akonadi_KAlarm_Resource)

set(kalarmresource_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../../ical/shared/icalresourcebase.cpp
    kalarmresource.cpp
    ../shared/kalarmresourcecommon.cpp
    ../shared/alarmtyperadiowidget.cpp
)

install(FILES kalarmresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

ki18n_wrap_ui(kalarmresource_SRCS ../shared/alarmtyperadiowidget.ui)
kconfig_add_kcfg_files(kalarmresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/kalarmresource.kcfg org.kde.Akonadi.KAlarm.Settings)
qt5_add_dbus_adaptor(kalarmresource_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarm.Settings.xml settings.h Akonadi_KAlarm_Resource::Settings icalsettingsadaptor ICalSettingsAdaptor)

ecm_qt_declare_logging_category(kalarmresource_SRCS HEADER kalarmresource_debug.h IDENTIFIER KALARMRESOURCE_LOG CATEGORY_NAME log_kalarmresource)

add_custom_target(kalarm_resource_xml ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarm.Settings.xml)

add_executable(akonadi_kalarm_resource ${kalarmresource_SRCS})

if( APPLE )
    set_target_properties(akonadi_kalarm_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
    set_target_properties(akonadi_kalarm_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.KAlarm")
    set_target_properties(akonadi_kalarm_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi KAlarm Resource")
endif ()

target_link_libraries(akonadi_kalarm_resource
                      KF5::AlarmCalendar
                      KF5::AkonadiCore
                      KF5::CalendarCore
                      KF5::KIOCore
                      KF5::AkonadiAgentBase
                      KF5::DBusAddons
                      akonadi-singlefileresource
                     )

install(TARGETS akonadi_kalarm_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/maildir/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5Test CONFIG REQUIRED)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# Stolen from kdepimlibs/akonadi/tests
macro(add_akonadi_isolated_test _source)
  get_filename_component(_targetName ${_source} NAME_WE)
  set(_srcList ${_source} )

  add_executable(${_targetName} ${_srcList})
  ecm_mark_as_test(${_targetName})
  target_link_libraries(${_targetName}
    Qt5::Test
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::MailTransport
    KF5::Mime
    Qt5::DBus
    Qt5::Widgets
  )

  # based on kde4_add_unit_test
  if (WIN32)
    get_target_property( _loc ${_targetName} LOCATION )
    set(_executable ${_loc}.bat)
  else ()
    set(_executable ${EXECUTABLE_OUTPUT_PATH}/${_targetName})
  endif ()
  if (UNIX)
    set(_executable ${_executable}.shell)
  endif ()

  find_program(_testrunner akonaditest)

  if (KDEPIM_RUN_ISOLATED_TESTS)
    add_test( maildir-${_targetName} ${_testrunner} -c ${CMAKE_CURRENT_SOURCE_DIR}/unittestenv/config.xml ${_executable} )
  endif ()
endmacro(add_akonadi_isolated_test)



add_akonadi_isolated_test( synctest.cpp )
akonadi_add_resourcetest( maildir maildir.js )

=== resources/pop3/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

# Stolen from kdepimlibs/akonadi/tests
kde_enable_exceptions()

macro(add_akonadi_isolated_test _source)
  get_filename_component(_targetName ${_source} NAME_WE)
  set(_srcList ${_source} fakeserver/fakeserver.cpp)

  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../settings.kcfg org.kde.Akonadi.POP3.Settings)
  set(pop3settingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.POP3.Settings.xml)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../../maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)
  set(maildirsettingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml)
  set_source_files_properties(${pop3settingsinterface_xml} PROPERTIES INCLUDE "../metatype.h")
  qt5_add_dbus_interface(_srcList ${pop3settingsinterface_xml} pop3settings)
  qt5_add_dbus_interface(_srcList ${maildirsettingsinterface_xml} maildirsettings)
  # add the dbus interace to every test (easier than adding to particular tests only)
  #qt5_add_dbus_interface(_srcList ../org.kde.krss.xml krssinterface)

  add_executable(${_targetName} ${_srcList})
  target_link_libraries(${_targetName}
    Qt5::Test
    KF5::AkonadiCore
    KF5::Mime
    Qt5::Network
    Qt5::Widgets
    Qt5::DBus
  )

  # based on kde4_add_unit_test
  if (WIN32)
    get_target_property( _loc ${_targetName} LOCATION )
    set(_executable ${_loc}.bat)
  else ()
    set(_executable ${EXECUTABLE_OUTPUT_PATH}/${_targetName})
  endif ()
  if (UNIX)
    set(_executable ${_executable}.shell)
  endif ()

  find_program(_testrunner akonaditest)

  if (KDEPIM_RUN_ISOLATED_TESTS)
    add_test( ${_targetName} ${_testrunner} -c ${CMAKE_CURRENT_SOURCE_DIR}/unittestenv/config.xml ${_executable} )
  endif ()
endmacro(add_akonadi_isolated_test)

add_akonadi_isolated_test(pop3test.cpp)

=== debian/changelog ===
kdepim-runtime (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 17:02:42 +0200

kdepim-runtime (4:16.04.2-1) experimental; urgency=medium

  * Drop obsolete qtquick1 build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 19:47:52 +0200

kdepim-runtime (4:16.04.1-2) experimental; urgency=medium

  * Depend on the kf5 kio plugins.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 04 Jun 2016 13:46:20 +0200

kdepim-runtime (4:16.04.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add libkolab-dev to reenable kolab integration.

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 16:17:41 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19~),
               kio-dev (>= 5.19~),
               kross-dev (>= 5.19~),
               libboost-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:15.12.1~),
               libkf5akonadicalendar-dev (>= 15.12~),
               libkf5akonadicontact-dev (>= 4:15.12~),
               libkf5akonadimime-dev (>= 4:15.12~),
               libkf5akonadinotes-dev (>= 4:15.12~),
               libkf5akonadiserver-dev (>= 15.12.1~),
               libkf5akonadisocialutils-dev (>= 4:15.12~),
               libkf5alarmcalendar-dev (>= 15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarutils-dev (>= 15.12~),
               libkf5codecs-dev (>= 5.19~),
               libkf5config-dev (>= 5.19~),
               libkf5configwidgets-dev (>= 5.19~),
               libkf5contacts-dev (>= 15.12~),
               libkf5gapi-dev (>= 5.1.0~),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5imap-dev (>= 15.12~),
               libkf5itemmodels-dev (>= 5.19~),
               libkf5kcmutils-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.19~),
               libkf5mailtransport-dev (>= 15.12~),
               libkf5mbox-dev (>= 15.12~),
               libkf5mime-dev (>= 15.12~),
               libkf5notifyconfig-dev (>= 5.19~),
               libkf5pimtextedit-dev (>= 15.12~),
               libkf5syndication-dev (>= 15.12~),
               libkf5textwidgets-dev (>= 5.19~),
               libkf5windowsystem-dev (>= 5.19~),
               libkolab-dev (>= 1.0.2),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5xmlpatterns5-dev (>= 5.5.0~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-runtime.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kf5-kdepimlibs-kio-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 16.04.3

=== debian/changelog ===
kdepim-runtime (4:16.04.3-0ubuntu3) yakkety; urgency=medium

  * Add upstream_adapt_mailserializertest_to_changes_in_kmime.patch to
    fix a failing test.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 Oct 2016 16:57:41 +0100

kdepim-runtime (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Drop unused build-dependency on obsolete qtquick1-5-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Oct 2016 00:43:46 -0700

kdepim-runtime (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:26:51 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               kross-dev (>= 5.24.0~),
               libboost-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicalendar-dev (>= 4:16.04.3~),
               libkf5akonadicontact-dev (>= 4:16.04.3~),
               libkf5akonadimime-dev (>= 4:16.04.3~),
               libkf5akonadinotes-dev (>= 4:16.04.3~),
               libkf5akonadiserver-dev (>= 4:16.04.3~),
               libkf5akonadisocialutils-dev (>= 4:16.04.3~),
               libkf5alarmcalendar-dev (>= 4:16.04.3~),
               libkf5calendarcore-dev (>= 4:16.04.3~),
               libkf5calendarutils-dev (>= 4:16.04.3~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5contacts-dev (>= 4:16.04.3~),
               libkf5gapi-dev (>= 5.1.0~),
               libkf5identitymanagement-dev (>= 16.04.3~),
               libkf5imap-dev (>= 16.04.3~),
               libkf5itemmodels-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5mailtransport-dev (>= 16.04.3~),
               libkf5mbox-dev (>= 16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5pimtextedit-dev (>= 16.04.3~),
               libkf5syndication-dev (>= 16.04.3~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkolab-dev (>= 1.0.2),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kdepimlibs-kio-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.
